<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA - Djalel Abdemouche
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="gce">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>gce</refname>
    <refpurpose>Get current entity handle.</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>e = gce()</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>e</term>
        <listitem>
          <para>handle, the handle of the current entity.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>This routine returns the handle of the last created (and still
    existent) entity.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
a=gca() //get the handle of the newly created axes
a.data_bounds=[1,1;10,10];
a.axes_visible = 'on' ;
for i=1:5
  xfrect(7-i,9-i,3,3);
  e=gce();
  e.background=i;
end
delete(); // delete current entity
delete(gce()); // delete current entity
delete(gcf()); // delete current figure
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="gcf">gcf</link>
      </member>
      <member>
        <link linkend="gca">gca</link>
      </member>
      <member>
        <link linkend="get">get</link>
      </member>
      <member>
        <link linkend="graphics_entities">graphics_entities</link>
      </member>
    </simplelist>
  </refsection>
  <refsection>
    <title>Authors</title>
    <para>Djalel ABDEMOUCHE</para>
  </refsection>
</refentry>
